import { ElasticsearchLoggerOptions } from './ElasticsearchLoggerOptions';
export declare class ElasticsearchLoggerService {
    private readonly options;
    private readonly client;
    private indexes_cache;
    constructor(options: ElasticsearchLoggerOptions);
    createIndexIfNotExists(index: string, body?: any): Promise<void>;
    log<T>(level: string, message: T, indice?: string): Promise<string>;
    raw<T>(message: T, indice?: string): Promise<string>;
    info<T>(message: T, indice?: string): Promise<string>;
    error<T>(message: T, indice?: string): Promise<string>;
    debug<T>(message: T, indice?: string): Promise<string>;
    warning<T>(message: T, indice?: string): Promise<string>;
    trace<T>(message: T, indice?: string): Promise<string>;
    getLatest(index?: string): Promise<import("@elastic/elasticsearch").ApiResponse<Record<string, any>, Record<string, unknown>>>;
}
